{% comment %} Logo - Configuração {% endcomment %}
{% assign logo_url = 'https://via.placeholder.com/410x210' %}
{% load_banners position: 'header-logo' limit: 1 %}
{% if loaded_banners.size > 0 %}
  {% for banner in loaded_banners %}
    {% if banner.file_url %}
      {% assign logo_url = banner.file_url | resize: '200x' %}
    {% endif %}
  {% endfor %}
{% endif %}

{% comment %} Actions - Configurações {% endcomment %}
{% assign show_text = true %}
{% assign show_icon = false %}
{% if mobile %}
  {% assign show_text = false %}
  {% assign show_icon = true %}
{% endif %}

{% comment %} Search - Configurações {% endcomment %}
{% assign show_search_button = false %}
{% if  mobile %}
  {% assign show_search_button = true %}
{% endif %}

{% assign page = "page-" | append: template %}

<header class="header {{ page }}" id="header">

  {% render 'partials/content/header/top_bar' %}

  <div class="container">
    {% if mobile %}
      <button aria-label="Abrir menu" class="hamburger" data-action="open-menu-mobile">
        <svg class="icon">
          <use href="#icon-hamburger"/>
        </svg>
      </button>
    {% endif %}
    
    {% render 'partials/content/header/search', search_url: search_url, show_button: show_search_button %}

    {% render 'partials/content/header/logo', current_shop: current_shop, logo_url: logo_url, template: template, home_url: home_url %}

    {% render 'partials/content/header/actions', account_url: account_url, show_text: show_text, show_icon: show_icon %}
  </div>

  {% load_menus position: 'principal' %}
  
  {% if mobile %}
    {% render "partials/content/header/menu_mobile", search_url: search_url, account_url: account_url, loaded_menus: loaded_menus, logo_url: logo_url, template: template, home_url: home_url %}
  {% else %}

    <nav class="menu">
      <ul class="menu-list">
        {% for menu in loaded_menus %}
          {% if menu.title == blank %}
            {% continue %}
          {% endif %}

          {% render 'partials/content/header/menu_desktop', menu: menu, show_banners: true %}
        {% endfor %}
      </ul>
    </nav>

  {% endif %}
</header>
